@import "rsuite/dist/rsuite.css";


/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
:root {
  scroll-behavior: smooth;
}

a {
  color: #5a4556;
  text-decoration: none !important;
  cursor: pointer !important;
}

html,
body {
  height: 100%;
  background: #fff;
}

body {
  font-family: "Roboto", sans-serif !important;
  font-weight: 400 !important;
  background: #fff;
  color: #444444;
}

/*a:hover {
  color: var(--color-links-hover);
  text-decoration: none;
}*/
/*h1, h2, h3, h4, h5, h6 {
  font-family: var(--font-primary);
}*/
/*--------------------------------------------------------------
# Sections & Section Header
--------------------------------------------------------------*/
section {
  padding: 25px 0;
  overflow: hidden;
}

.section-header {
  text-align: center;
  padding-bottom: 40px;
}

.section-header h2 {
  font-size: 48px;
  font-weight: 300;
  margin-bottom: 20px;
  color: var(--color-secondary);
}

.section-header p {
  margin: 0 auto;
  color: var(--color-secondary-light);
}

@media (min-width: 1280px) {
  .section-header p {
    max-width: 80%;
  }
}

/*--------------------------------------------------------------
# Disable aos animation delay on mobile devices
--------------------------------------------------------------*/
@media screen and (max-width: 768px) {
  [data-aos-delay] {
    transition-delay: 0 !important;
  }

  
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.logo-area {
  float: left;
  /* width: 230px;*/
  /*  width: 170px;*/
  padding: 0px 20px 0 15px !important;
}

.header {
  transition: all 0.5s;
  z-index: 99999;
  box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
  /* background-color: #323131; */
  background-color: #000;
  padding-left: 0px
}

.header .logo-area {
  color: #e27172;
  font-weight: 600;
  font-size: 17px;
  position: relative;
    z-index: 999;
}

.header.sticked {
  box-shadow: 0px 2px 20px rgba(var(--color-secondary-rgb), 0.1);
}

.header .logo img {
  max-height: 40px;
  margin-right: 6px;
  float: left;
}

.header .logo h1 {
  font-size: 32px;
  font-weight: 300;
  color: var(--color-secondary);
  /* font-family: var(--font-secondary);*/
}

.header .logo h1 span {
  color: var(--color-primary);
  font-weight: 500;
}

.header .btn-getstarted,
.header .btn-getstarted:focus {
  font-size: 16px;
  color: var(--color-white);
  background: var(--color-primary);
  padding: 8px 23px;
  border-radius: 4px;
  transition: 0.3s;
  /* font-family: var(--font-secondary);*/
}

.header .btn-getstarted:hover,
.header .btn-getstarted:focus:hover {
  color: var(--color-white);
  background: rgba(var(--color-primary-rgb), 0.85);
}

/*.header .nav-profile img {
  max-height: 36px
}
.header .nav-profile span {
  font-size: 14px;
  font-weight: 600
}

*/
/* .header-nav { float: left; width: 100px;} */
.header-nav .nav-icon {
  font-size: 22px !important;
  color: #fff;
  margin-right: 15px;
  position: relative;
}

.header-nav .badge-number {
  position: absolute;
  inset: -6px -6px auto auto;
  font-weight: normal;
  font-size: 11px !important;
  padding: 4px 5px;
}

.header-nav .profile {
  min-width: 150px;
  padding-bottom: 15px;
  top: 8px !important;
  -webkit-transform: translateY(20px);
  -ms-transform: translateY(20px);
  transform: translateY(20px);
  -webkit-transition: all 0.3s ease-in;
  -o-transition: all 0.3s ease-in;
  transition: all 0.3s ease-in;
  animation: animationName 0.5s;
  right: 0px;   
}

.header-nav ul {
  list-style: none;
  margin: 0 15px 0 0; padding: 0 !important;
}

.header-nav ul li { margin-left: 0px;}
.header-nav ul li span { color: #fff; }

.header-nav ul li a { color: #fff !important; font-size: 13px !important;}
.header-nav ul li a i { color: #fff !important;}
.header-nav ul li a span { color: #fff; font-size: 14px !important; display: block !important;}
.header-nav ul li a:hover { color: #fff; }
.nav-link:focus, .nav-link:hover {
  color: #fff !important;
}

.header-nav .notifications {
  inset: 8px -15px auto auto !important;

}



.header-nav .notifications .notification-item {
  display: flex;
  align-items: center;
  padding: 10px 10px;
  transition: 0.3s;
}

.header-nav .notifications .notification-item .notidetail { float: left; width: 100%; line-height: normal;}

.header-nav .notifications .notification-item i {
  margin: 0 20px 0 10px;
  font-size: 24px;
}

.header-nav .notifications .notification-item h4 {
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 5px;
}

.header-nav .notifications .notification-item p {
  font-size: 13px;
  margin-bottom: 3px;
  color: #919191;
}

.header-nav .notifications .notification-item:hover {
  background-color: #f6f9ff;
}


.userprofile-area {
  float: right;
  width: auto;
  text-align: left;
  /*  border-left: 1px solid #484d50;*/
  padding: 0 0 0 20px;
}

/* .dropdown-menu.show {
  display: block !important;
} */




.notidetail { float: left; width: 100%; line-height: normal; padding:0 0 7px; border-bottom: 1px solid #eee; display: flex;} 
.notidetail:last-child { border-bottom: none;}
.notidetail i { margin: 0 10px 0 0; font-size:24px; float:left;  }
.notidetail .notdiscription { float:left; width:100%;  }
.notidetail .notdiscription h4 { float:left; width:100%; font-size:12px; font-weight:600; margin-bottom:5px; }
.notidetail .notdiscription p { float:left; width:100%; font-size:13px; margin-bottom:4px; }
.notidetail .notdiscription p + p { margin-top: 1px; }
.notidetail .notdiscription p.currectstk { color: #888888; font-size: 11px;}

@media (max-width: 1279px) {
  .userprofile-area {
    float: right;
    text-align: left;
  }
}

/*--------------------------------------------------------------
# Desktop Navigation 
--------------------------------------------------------------*/
@media (min-width: 1280px) {
  .navbar {
    padding: 0;
    position: relative;
    /* display: inline-block; */
  }

  .navbar ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navbar li {
    position: relative;
  }

  .navbar>ul>li {
    white-space: nowrap;
  }

  .navbar a,
  .navbar a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 10px;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.5px;
    color: #fff;
    white-space: nowrap;
    transition: 0.3s;
    position: relative;
    /* text-transform: uppercase;*/
  }

  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 8px;
  }

  .navbar a img {
    max-height: 36px;
  }

  .navbar>ul>li>a:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    /*    background-color: #e2af06;*/
    visibility: hidden;
    transition: all 0.3s ease-in-out 0s;
    transform: scaleX(0);
    transition: all 0.3s ease-in-out 0s;
  }

  .navbar a:hover:before,
  .navbar li:hover>a:before,
  .navbar .active:before {
    visibility: visible;
    transform: scaleX(0.7);
  }

  .navbar a:hover,
  .navbar .active,
  .navbar .active:focus,
  .navbar li:hover>a {
    color: #f98383;
    text-decoration: none;
  }

  /* .navbar a:selected {
    color: #f98383; text-decoration: none;
  } */

  .navbar .dropdown a:hover:before,
  .navbar .dropdown:hover>a:before,
  .navbar .dropdown .active:before {
    visibility: hidden;
  }

  .navbar .dropdown a:hover,
  .navbar .dropdown .active,
  .navbar .dropdown .active:focus,
  .navbar .dropdown:hover>a {
    /*
      color: #d4d5d6;
      background: #484d50;
*/
    border-radius: 5px 5px 0 0;
  }

  .navbar .dropdown ul {
    display: block;
    position: absolute;
    left: 0;
    top: 100%;
    margin: 0;
    /*padding: 0 0 10px 0;*/
    padding: 0 0 10px 0;
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    color: #d4d5d6;
    /* background: #323131; */
    background: #000;
    border-bottom: 2px solid #f98383;
    transition: 0.3s;
    border-radius: 0 0 5px 5px;
  }

  .navbar .dropdown ul li {
    min-width: 200px;
  }

  .navbar .dropdown ul a {
    padding: 7px 15px;
    font-size: 14px;
    text-transform: none;
    font-weight: 400;
    color: #d4d5d6;
    float: left;
    width: 100%;
  }

  .navbar .dropdown ul a:hover {
    background: #2d2b2b;
    color: #d4d5d6;
    text-decoration: none;
  }

  .navbar .dropdown ul a.active {
    color: #f98383;
  }

  .navbar .dropdown ul a i {
    font-size: 12px;
  }

  .navbar .dropdown ul a:hover,
  .navbar .dropdown ul .active,
  .navbar .dropdown ul .active:hover,
  .navbar .dropdown ul li:hover>a {
    /*    background: #60666a;*/
    color: #f98383;
    border-radius: 0;
  }

  .navbar .dropdown:hover>ul {
    opacity: 1;
    visibility: visible;
  }

  .navbar .megamenu {
    position: static;
  }

  .navbar .megamenu ul {
    right: 0;
    padding: 10px;
    display: flex;
  }

  .navbar .megamenu ul li {
    flex: 1;
  }

  .navbar .megamenu ul li a,
  .navbar .megamenu ul li:hover>a {
    color: rgba(var(--color-white-rgb), 0.5);
    background: none;
  }

  .navbar .megamenu ul li a:hover,
  .navbar .megamenu ul li .active,
  .navbar .megamenu ul li .active:hover {
    color: var(--color-white);
    background: var(--color-primary);
  }

  .navbar .dropdown .dropdown ul {
    top: 0;
    left: calc(100% - 30px);
    visibility: hidden;
    border-top: 1px solid #ddd;
  }

  .navbar .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: 100%;
    visibility: visible;
  }
}

@media (min-width: 1280px) and (max-width: 1399px) {
  .navbar .dropdown .dropdown ul {
    right: -90%;
  }

  .navbar .dropdown .dropdown:hover>ul {
    right: -100%;
  }

  .navbar .dropdown ul li {
    min-width: 180px;
  }


  .navbar .dropdown ul a {
    padding: 7px 10px;
    font-size: 12px;
    text-transform: none;
    font-weight: 400;
    color: #fff;
    word-break: break-all;
  }

  .navbar a,
  .navbar a:focus {
    font-size: 12px;
    padding: 10px 8px
  }

}

/* .dropdown,
.dropdown-center,
.dropend,
.dropstart,
.dropup,
.dropup-center {
  position: static;
} */


/*--------------------------------------------------------------
# Mobile Navigation
--------------------------------------------------------------*/
@media (max-width: 1279px) {

  .header {
    padding: 5px 0;
  }
  .navbar {
    position: fixed !important;
    top: 0;
    left: -100%;
    width: calc(100% - 70px);
    bottom: 0;
    transition: 0.3s;
    z-index: 9997;
  }

  .navbar ul {
    position: absolute;
    inset: 0;
    padding: 50px 0 10px 0;
    margin: 0 0 50px 0;
    background: #fff;
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
  }

  .navbar a,
  .navbar a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 20px;
    font-size: 16px;
    font-weight: 500;
    color: #000;
    white-space: nowrap;
    transition: 0.3s;
  }

  /* .navbar a span { float: left; width: 100%;} */

  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
  }

  .navbar a:hover,
  .navbar .active,
  .navbar .active:focus,
  .navbar li:hover>a {
    color: #000;
    float: left; width: 100%;
  }

  /* .navbar .dropdown ul,
  .navbar .dropdown .dropdown ul {
    position: static;

    padding: 10px 0;
    margin: 10px 20px;
    transition: all 0.5s ease-in-out;
    border: 1px solid #ddd;
  } */

  /* .dropdown-toggle::after { color: #fff;} */
  .navbar .dropdown ul
  {
    position: static;
    /* display: none;  */
    display: block;
    padding: 10px 0;
    margin: 10px 20px;
    transition: all 0.5s ease-in-out;
    border: 1px solid #ddd;
    list-style-type: none;
  }

  .navbar .dropdown ul li {}

  .navbar .dropdown>.dropdown-active,
  .navbar .dropdown .dropdown>.dropdown-active {
    display: block !important;
  }

  /* .dropdown-active {
    display: block !important;
  } */

  .mobile-nav-toggle {
    display: block !important;
    color: #e27172 !important;
    font-size: 28px;
    cursor: pointer;
    line-height: 0;
    transition: 0.5s;
    position: fixed;
    top: 10px;
    z-index: 9999;
    /* right: 130px; */
    right: 180px;
  }

  .mobile-nav-toggle.bi-x {
    color: #000;
    right: 35px;
  }

  .mobile-nav-active {
    overflow: hidden;
    z-index: 9995;
    position: relative;
  }

  .mobile-nav-active .navbar {
    left: 0;
  }

  .mobile-nav-active .navbar:before {
    content: "";
    position: fixed;
    inset: 0;
    background: rgba(var(--color-secondary-rgb), 0.8);
    z-index: 9996;
  }

  .nav-menu.mobile-nav-show {
    position: fixed !important;
  }

  /* .navbar .dropdown ul, .navbar .dropdown .dropdown ul {
    display: block;
  } */

  .navmenu .dropdown>.dropdown-active {
    display: block;
  }

  .d-md-block {
    display: none !important;
  }
}

.dropdown-menu {
  border-radius: 4px !important;
  padding: 10px !important;
  animation-name: dropdown-animate;
  animation-duration: 0.2s;
  animation-fill-mode: both;
  border: 0 !important;
  box-shadow: 0 5px 30px 0 rgba(82, 63, 105, 0.2);
  border: 1px solid #e9e7e7 !important;
  z-index: 1050;  
}

.dropdown-menu .dropdown-header,
.dropdown-menu .dropdown-footer {
  text-align: left;
  font-size: 15px;
  padding: 5px 10px;
  width: 100%;
  background: #E1B42B;
  float: left;
  color: #fff;
}

.dropdown-menu .dropdown-header h6 {
  margin: 0;
}

.dropdown-menu .dropdown-header span { display: inline !important;}

.dropdown-menu .dropdown-header i { margin-right: 7px;}

.dropdown-menu .dropdown-footer a {
  color: #444444;
  text-decoration: underline
}

.dropdown-menu .dropdown-footer a:hover {
  text-decoration: none
}

.dropdown-menu .dropdown-divider {
  color: #a5c5fe;
  margin: 0;
  border-top: 1px solid #f2f3f5
}

.dropdown-menu .dropdown-item {
  font-size: 13px;
    padding: 5px 0 5px 0;
    transition: 0.3s;
    color: #000;
    margin: 5px 0 0 0;
    border-bottom: none;
}

.dropdown-menu .dropdown-item:hover {color: #000;}

.dropdown-menu .dropdown-item i {
  margin-right: 10px;
  
  font-size: 18px;
  line-height: 0
}

.dropdown-menu .dropdown-item:hover {
  background-color: transparent;
}

.dropdown-menu a {
  color: #000;
  font-size: 13px;
  border-bottom: 1px solid #ddd;
  font-weight: 500;
  margin: 5px 0;
  float: left;
  width: 100%;
  padding: 0 0 5px 0;
}

@media (min-width:768px) {
 
  .dropdown-menu-arrow::before {
    content: "";
    width: 13px;
    height: 13px;
    background: #fff;
    position: absolute;
    top: -7px;
    right: 20px;
    transform: rotate(45deg);
    border-top: 1px solid #e9e7e7;
    border-left: 1px solid #e9e7e7;
  } 
}

@keyframes dropdown-animate {
  0% {
    opacity: 0
  }

  100% {
    opacity: 1
  }

  0% {
    opacity: 0
  }
}

.nav.main-menu>li>ul>li.active>a,
.nav.main-menu>li>ul>li>ul>li.active>a,
.nav.main-menu>li>ul>li>ul>li>ul>li.active>a {
  /* background: #5BC0DE; */
  color: white;
  /* border-color: #5BC0DE; */
  cursor: default;
}

.flash-message {
  padding: 15px;
  margin: 15px 0;
  border-radius: 5px;
  color: white;
  text-shadow: 0 0 BLACK;
  text-align: center;
  position: absolute;
  font-weight: bold;
  transition: opacity 0.5s ease;
  z-index: 999;
  right: 19px;
  top: 76px;
  font-size: 14px;
  letter-spacing: 0.7px;
}

.flash-message.success {
  background-color: #91cd93;
}

.flash-message.error {
  background-color: #f44336;
}

.rs-input-group input.rs-input~.rs-input-group-addon,
.rs-input-group .rs-form-control-wrapper~.rs-input-group-addon {
  display: none !important;
  border-left: none;
  left: auto;
  right: 0;
}


@media (min-width: 320px) and (max-width: 767px) { 
.mobile-nav-toggle { right: 123px;  }
.header-nav ul {
  list-style: none;
  margin: 0 5px 0 0;
  padding: 0 !important;
}

}

/* Notification Dropdown ------------------------------- */

.notification-drop {
  color: #444;
}
.notification-drop .item {
  padding: 10px;
  font-size: 18px;
  position: relative;
  /* border-bottom: 1px solid #ddd; */
}
.notification-drop .item:hover {
  cursor: pointer;
}
.notification-drop .item i {
  margin-left: 10px; color: #fff;
}
.notification-drop .item ul {
  display: none;
  position: absolute;
  top: 100%;
  background: #fff;
  left: -200px;
  right: 0;
  z-index: 1;
  border-top: 1px solid #ddd;
  padding-left: 0;
  border-radius: 3px;
  width: 270px;
}

.notification-drop .item ul::before {
  content: "";
  width: 13px;
  height: 13px;
  background: #fff;
  position: absolute;
  top: -7px;
  right: 20px;
  transform: rotate(45deg);
  border-top: 1px solid #e9e7e7;
  border-left: 1px solid #e9e7e7;
}

.notification-drop .item ul li {
  font-size: 16px;
  padding: 10px;
  margin-bottom: 0px; float: left; width: 100%; border-bottom: 1px dashed #ddd;
}

.notification-drop .item ul li:last-child {border-bottom: none; margin-bottom: 10px;}

.notification-drop .item ul li .notidetail {
  float: left; width: 100%; line-height: normal;
}

.notification-drop .item ul li .notidetail i {
  margin: 0 0 0 0;
  font-size: 26px;
}

.notification-drop .item ul li .notidetail h4 {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 5px;
}

.notification-drop .item ul li .notidetail p {
  font-size: 13px;
  margin-bottom: 3px;
  color: #919191;
}


.notification-drop .item ul li:hover {
  background: #ddd;
  color: rgba(0, 0, 0, 0.8);
}






@media screen and (min-width: 500px) {
  .notification-drop {
    /* display: flex; */
    display: inline-table;
        justify-content: flex-end;
        position: absolute;
        background: #fff;
        content: "";
        top: 0px;
        width: 225px;
        right: 0px;
        margin: 31px 0 0 0 !important;
    }

.notification-list::before {
  content: "";
        width: 13px;
        height: 13px;
        background: #fff;
        position: absolute;
        top: -6px;
        right: 20px;
        transform: rotate(45deg);
        border-top: 1px solid #eaedf1;
        border-left: 1px solid #eaedf1;

}

  .notification-drop ul { 
margin: 0;
   }

  .notification-drop ul li { 
    display:flex;    
    align-items: center;
    padding: 7px 7px 0 7px;
    transition: 0.3s; 
   border-bottom: 1px solid #ddd;
  }   

  
  .notification-drop .item {
    border: none;
  }

}



.notification-bell{
  font-size: 20px;
}

.btn__badge {
  background: #FF5D5D;
  color: white;
  font-size: 12px;
  position: absolute;
  top: 0;
  right: 0px;
  padding:  3px 10px;
  border-radius: 50%;
}

.pulse-button {
  box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.5);
  -webkit-animation: pulse 1.5s infinite;
}

.pulse-button:hover {
  -webkit-animation: none;
}

@-webkit-keyframes pulse {
  0% {
    -moz-transform: scale(0.9);
    -ms-transform: scale(0.9);
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
  }
  70% {
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -webkit-transform: scale(1);
    transform: scale(1);
    box-shadow: 0 0 0 50px rgba(255, 0, 0, 0);
  }
  100% {
    -moz-transform: scale(0.9);
    -ms-transform: scale(0.9);
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
    box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
  }
}

.notification-text{
  font-size: 14px;
  font-weight: bold;
}

.notification-text span{
  float: right;
}

